clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::SymbolInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::SymbolInfo:
[legend]
Collaboration diagram for clang::doc::SymbolInfo:
[legend]

## Public Member Functions
| SymbolInfo (InfoType IT)
| SymbolInfo (InfoType IT, SymbolID USR)
| SymbolInfo (InfoType IT, SymbolID USR, StringRef Name)
| SymbolInfo (InfoType IT, SymbolID USR, StringRef Name, StringRef Path)
void | merge (SymbolInfo &&I)
Public Member Functions inherited from clang::doc::Info
| Info ()=default
| Info (InfoType IT)
| Info (InfoType IT, SymbolID USR)
| Info (InfoType IT, SymbolID USR, StringRef Name)
| Info (InfoType IT, SymbolID USR, StringRef Name, StringRef Path)
| Info (const Info &Other)=delete
| Info (Info &&Other)=default
virtual | ~Info ()=default
void | mergeBase (Info &&I)
bool | mergeable (const Info &Other)
llvm::SmallString< 16 > | extractName () const
llvm::Expected< Reference > | getEnclosingScope ()

## Public Attributes
llvm::Optional< Location > | DefLoc
llvm::SmallVector< Location, 2 > | Loc
Public Attributes inherited from clang::doc::Info
SymbolID | USR
const InfoType | IT = InfoType::IT_default
SmallString< 16 > | Name
llvm::SmallVector< Reference, 4 > | Namespace
std::vector< CommentInfo > | Description
llvm::SmallString< 128 > | Path

## Detailed Description

Definition at line 292 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ SymbolInfo() [1/4]

clang::doc::SymbolInfo::SymbolInfo | ( | InfoType | IT | ) |
| inline

Definition at line 293 of file Representation.h.

## ◆ SymbolInfo() [2/4]

clang::doc::SymbolInfo::SymbolInfo | ( | InfoType | IT,
|  | SymbolID | USR
| ) |  |
| inline

Definition at line 294 of file Representation.h.

## ◆ SymbolInfo() [3/4]

clang::doc::SymbolInfo::SymbolInfo | ( | InfoType | IT,
|  | SymbolID | USR,
|  | StringRef | Name
| ) |  |
| inline

Definition at line 295 of file Representation.h.

## ◆ SymbolInfo() [4/4]

clang::doc::SymbolInfo::SymbolInfo | ( | InfoType | IT,
|  | SymbolID | USR,
|  | StringRef | Name,
|  | StringRef | Path
| ) |  |
| inline

Definition at line 296 of file Representation.h.

## Member Function Documentation

## ◆ merge()

void clang::doc::SymbolInfo::merge | ( | SymbolInfo && | I | ) |

Definition at line 153 of file Representation.cpp.

References Loc, and clang::doc::Reference::mergeable().

Referenced by clang::doc::FunctionInfo::merge(), clang::doc::RecordInfo::merge(), and clang::doc::EnumInfo::merge().

## Member Data Documentation

## ◆ DefLoc

llvm::Optional<Location> clang::doc::SymbolInfo::DefLoc

Definition at line 301 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and clang::doc::serialize::populateSymbolInfo().

## ◆ Loc

llvm::SmallVector<Location, 2> clang::doc::SymbolInfo::Loc

Definition at line 302 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and clang::doc::serialize::populateSymbolInfo().

The documentation for this struct was generated from the following files:

- Representation.h
- Representation.cpp